PUT
/api/integrations/google-idp/{id}Update Google IDP Integration
Updates an existing Google Workspace IDP integration.
idintegerrequired
The unique identifier of the Google IDP integration.
enabledbooleanoptional
Whether the integration is enabled
connector_idstringoptional
DEX connector ID for embedded IDP setups
group_prefixesarray<string>optional
List of start_with string patterns for groups to sync
user_group_prefixesarray<string>optional
List of start_with string patterns for groups which users to sync
customer_idstringoptional
Customer ID from Google Workspace Account Settings
service_account_keystringoptional
Base64-encoded Google service account key
sync_intervalintegeroptional
Sync interval in seconds (minimum 300)
200Integration updated successfully. Returns the updated integration.
enabledbooleanrequired
Whether the integration is enabled
connector_idstringoptional
DEX connector ID for embedded IDP setups
group_prefixesarray<string>required
List of start_with string patterns for groups to sync
user_group_prefixesarray<string>required
List of start_with string patterns for groups which users to sync
customer_idstringrequired
Customer ID from Google Workspace
idintegerrequired
The unique identifier for the integration
last_synced_atstringrequired
Timestamp of the last synchronization
sync_intervalintegerrequired
Sync interval in seconds
400Bad Request (e.g., invalid JSON, validation error, invalid ID).
messagestringoptional
A human-readable error message.
401Unauthorized.
messagestringoptional
A human-readable error message.
404Not Found.
messagestringoptional
A human-readable error message.
500Internal Server Error.
messagestringoptional
A human-readable error message.
Error handling
A 400 is returned: Bad Request (e.g., invalid JSON, validation error, invalid ID). A 401 is returned: Unauthorized. A 404 is returned: Not Found. A 500 is returned: Internal Server Error.